Package htsjdk.tribble.index.interval

# Class IntervalTreeIndex.ChrIndex

java.lang.Object
htsjdk.tribble.index.interval.IntervalTreeIndex.ChrIndex

All Implemented Interfaces:
  `ChrIndex`

Enclosing class:
  `IntervalTreeIndex`

public static class IntervalTreeIndex.ChrIndex extends Object implements ChrIndex

## Constructor Summary

Constructors
Constructor
Description
`ChrIndex()`
Default constructor needed for factory methods -- DO NOT REMOVE
`ChrIndex(String name)`

## Method Summary

Modifier and Type
Method
Description
`List<Block>`
`getBlocks()`
`List<Block>`
`getBlocks(int start, int end)`
`String`
`getName()`
`void`
`insert(Interval iv)`
`void`
`printTree()`
`void`
`read(LittleEndianInputStream dis)`
`void`
`write(LittleEndianOutputStream dos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChrIndex

public ChrIndex()
Default constructor needed for factory methods -- DO NOT REMOVE

### ChrIndex

public ChrIndex(String name)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `ChrIndex`

### insert

public void insert(Interval iv)

### getBlocks

public List<Block> getBlocks()

Specified by:
  `getBlocks` in interface `ChrIndex`
Returns:
  all blocks in ChrIndex

### getBlocks

public List<Block> getBlocks(int start, int end)

Specified by:
  `getBlocks` in interface `ChrIndex`
Parameters:
  `start` - the start position, one based
  `end` - the end position, one based
Returns:
  a list of blocks that include the region defined from start to stop. Can never return null

### printTree

public void printTree()

### write

public void write(LittleEndianOutputStream dos) throws IOException

Specified by:
  `write` in interface `ChrIndex`
Throws:
  `IOException`

### read

public void read(LittleEndianInputStream dis) throws IOException

Specified by:
  `read` in interface `ChrIndex`
Throws:
  `IOException`